import { ActionReducerMap } from '@ngrx/store';
import { DistributionGroup } from '../../../models';
import { CreateChannelsFromDistributionGroups, IncomingMessage, SelectChannel, SelectGroup, SetUser } from './actions';
export declare function user(state: any, { type, payload }: SetUser): any;
export declare function userJid(state: any, { type, payload }: SetUser): any;
export declare function channels(state: any[], { type, payload }: CreateChannelsFromDistributionGroups & IncomingMessage): any[];
export declare function selectedGroup(state: any, { type, payload }: SelectGroup): any;
export declare function selectedChannel(state: any, { type, payload }: SelectChannel): any;
export declare function loginTimestamp(state: any, { type, payload }: {
    type: any;
    payload: any;
}): any;
export interface State {
    user: string;
    userJid: string;
    channels: DistributionGroup[];
    selectedGroup: string;
    selectedChannel: string;
    loginTimestamp: number;
}
export declare const reducers: ActionReducerMap<State>;
